Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029848
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersmajoralways2015-05-12 11:182015-06-18 18:32
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision2e7f7c565c1c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesAdvanced Payables and Receivables Mngmt
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029848: Credit can be used although the payment were it was generated is not in the configured invoice paid status

DescriptionCredit can be used although the payment were it was generated is not in the configured invoice paid status
Steps To ReproduceAs group admin role:
   Enable the 'Allow to use invoice paid status control' preference
   Log out and log in again
   Create a new a payment method and configure it in the financial account as:
      Automatic Deposit: N
      Invoice Paid Status: Deposited Not Cleared
   Create two Payment In for a Business Partner with that Payment Method where credit is generated
   Create a Sales Invoice for that Business Partner
   Check the Credit is not available to pay the invoice
   Add a Transaction in the Financial Account for one of the payments and process it
   Check its status changes to Deposited Not Cleared
   Add a Payment to the previously created invoice and check both credits are available now although one of the payment has still Payment Received status
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0078166)
AtulOpenbravo (developer)
2015-06-09 20:07
edited on: 2015-06-09 20:21

Test Plan
- Login as Group Admin role.
- Enable the 'Allow to use invoice paid status control' preference.
- Log out and log in again.
- Create a new a payment method and configure it in the financial account as:
  Automatic Deposit: N
  Invoice Paid Status: Deposited Not Cleared
- Create two Payment In for a Business Partner with that Payment Method where credit is generated.
- Create a Sales Invoice for that Business Partner.
- Check the Credit is not available to pay the invoice.
- Add a Transaction in the Financial Account for one of the payments and process it. Check its status changes to Deposited Not Cleared.
- Add a Payment to the previously created invoice and check credit with status "Deposited Not Cleared" is available and other with status "Payment Received" is not available.

(0078324)
hgbot (developer)
2015-06-16 17:47

Repository: erp/devel/pi
Changeset: 2e7f7c565c1c79427cebe5e68d921ec538b66074
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Sun Jun 14 22:35:37 2015 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/2e7f7c565c1c79427cebe5e68d921ec538b66074 [^]

Fixes Issue 29848:Credit can be used although the payment were it was
generated is not in the configured invoice paid status

Implement FIN_Utility.invoicePaymentStatus and aprm_seqnumberpaymentstatus
in CreditToUseTransformer where clause.

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/hqlinjections/CreditToUseTransformer.java
A modules/org.openbravo.advpaymentmngt/src-db/database/model/functions/APRM_SEQNOINVPAIDSTATUS.xml
---
(0078325)
hgbot (developer)
2015-06-16 17:47

Repository: erp/devel/pi
Changeset: 8b04107e4667fe2a0d39c5d2de88b3a1cc9d83d6
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Tue Jun 16 17:43:17 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/8b04107e4667fe2a0d39c5d2de88b3a1cc9d83d6 [^]

Related to issue 29848: code review improvements

Fixed v_invoicepaidstatus variable type

Moved query code from the HqlQueryTransformer to the Application Dictionary

---
M modules/org.openbravo.advpaymentmngt/src-db/database/model/functions/APRM_SEQNOINVPAIDSTATUS.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_TABLE.xml
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/hqlinjections/CreditToUseTransformer.java
---
(0078326)
vmromanos (developer)
2015-06-16 17:55

Code review + testing OK
(0078377)
hudsonbot (developer)
2015-06-18 18:32

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/42df4e2c6b02 [^]
Maturity status: Test
(0078378)
hudsonbot (developer)
2015-06-18 18:32

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/42df4e2c6b02 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-05-12 11:18 ngarcia New Issue
2015-05-12 11:18 ngarcia Assigned To => Triage Finance
2015-05-12 11:18 ngarcia Modules => Advanced Payables and Receivables Mngmt
2015-05-12 11:18 ngarcia Triggers an Emergency Pack => No
2015-05-12 11:20 ngarcia Issue Monitored: networkb
2015-05-14 09:02 AtulOpenbravo Assigned To Triage Finance => AtulOpenbravo
2015-05-15 12:28 AtulOpenbravo Status new => scheduled
2015-06-09 20:07 AtulOpenbravo Note Added: 0078166
2015-06-09 20:21 AtulOpenbravo Note Edited: 0078166 View Revisions
2015-06-16 17:47 hgbot Checkin
2015-06-16 17:47 hgbot Note Added: 0078324
2015-06-16 17:47 hgbot Status scheduled => resolved
2015-06-16 17:47 hgbot Resolution open => fixed
2015-06-16 17:47 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/2e7f7c565c1c79427cebe5e68d921ec538b66074 [^]
2015-06-16 17:47 hgbot Checkin
2015-06-16 17:47 hgbot Note Added: 0078325
2015-06-16 17:55 vmromanos Review Assigned To => vmromanos
2015-06-16 17:55 vmromanos Note Added: 0078326
2015-06-16 17:55 vmromanos Status resolved => closed
2015-06-18 18:32 hudsonbot Checkin
2015-06-18 18:32 hudsonbot Note Added: 0078377
2015-06-18 18:32 hudsonbot Checkin
2015-06-18 18:32 hudsonbot Note Added: 0078378


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker